package conversor;

public final class Principal {
	private Principal() {
		super();
	}

	private void ejecuta() {
		ConversorTemperaturas conversor = new ConversorTemperaturas();
		double fharenheit, reamur;

		for(int celsius = 0; celsius < 101; celsius += 5) {
			try {
				fharenheit = conversor.celsiusAFharenheit(celsius);
				reamur = conversor.celsiusAReamur(celsius);
				System.out.println(celsius + "\t" + fharenheit + "\t" + reamur);
			} catch(TemperaturaNoValidaException e) {
				System.out.println(e.getMessage());
			}
		}
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Principal principal = new Principal();
		principal.ejecuta();
	}

}
