package ejecucion;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public final class Ejecucion {
	private Ejecucion() {

	}

	// Este mtodo delega la gestin de las excepcin FileNotFoundException y IOException
	private void ejecuta() throws FileNotFoundException, IOException {
		FileReader fr = null;
		int caracter = 0;
		try{
			fr = new FileReader("fichero.txt");
			caracter = fr.read();
		} finally {
			System.out.println("caracter: " + caracter);
			if(fr != null) fr.close();
		}
	}

	public static void main(String[] args) throws FileNotFoundException, IOException {
//		new Ejecucion().ejecuta();
//		System.out.println("En el main.");
		Integer entero = 15;
		System.out.println("Entero: " + entero);
		int primitivo = entero;
		System.out.println("Primitivo: " + primitivo);
	}
}
