package method.tipos;

import java.util.ArrayList;
import java.util.List;


public abstract class Agenda<E> {
	private List<Item> entradas = new ArrayList<Item>();
	
	abstract public Item getItem(E tipo);
	
	public void nuevaEntrada(Item entrada) {
		entradas.add(entrada);
	}
	
	public void mostrarEntradas() {
		for(Item entrada: entradas)
			entrada.mostrarDatos();
	}
}
