package gui;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public final class EjemploBorderLayout {
	private EjemploBorderLayout() {
		super();
	}
	
	private void creaGUI() {
		JFrame ventana = new JFrame("BorderLayout Manager");
		Container contenedor = ventana.getContentPane();
		contenedor.add(new JButton("Centro"));
		contenedor.add(new JButton("Norte"), BorderLayout.NORTH);
		contenedor.add(new JButton("Sur"), BorderLayout.SOUTH);
		contenedor.add(new JButton("Este"), BorderLayout.EAST);
		contenedor.add(new JButton("Oeste"), BorderLayout.WEST);
		ventana.setSize(400, 400);
		ventana.setVisible(true);
	}
	
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {			
			@Override
			public void run() {
				new EjemploBorderLayout().creaGUI();
			}
		});
	}
}
