package gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

public class EjemploJButton {
	private EjemploJButton() {
		super();
	}
	
	private void creaGUI() {
		JFrame ventana = new JFrame("Un JLabel y un JButton");
		JPanel contenedor = new JPanel();
		contenedor.add(new JLabel("Pulsa el botn:"));
		JButton jbBoton = new JButton("Plsame");
		jbBoton.addActionListener(new ActionListener() {			
			@Override
			public void actionPerformed(ActionEvent e) {
				System.out.println("Botn pulsado");
			}
		});
		contenedor.add(jbBoton);
		ventana.getContentPane().add(contenedor);
		ventana.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		ventana.pack();
		ventana.setVisible(true);
	}
	
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {			
			@Override
			public void run() {
				new EjemploJButton().creaGUI();
			}
		});
	}

}
