package gui;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;

public class EjemploJTextField {
	private JTextField jtfTexto;
	
	private EjemploJTextField() {
		super();
	}
	
	public void creaGUI() {
		JFrame ventana = new JFrame();
		ventana.setLayout(new FlowLayout());
		Container contenedor = ventana.getContentPane();
		contenedor.add(new JLabel("Introduce un texto: "));
		jtfTexto = new JTextField(50);
		jtfTexto.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				System.out.println("El texto escrito es: " + jtfTexto.getText());
			}
		});
		ventana.add(jtfTexto);
		ventana.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		ventana.pack();
		ventana.setVisible(true);
	}

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			@Override
			public void run() {
				new EjemploJTextField().creaGUI();
			}
		});
	}
}
