package gui;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class EjemploSetDefaultCloseOperation {
	private EjemploSetDefaultCloseOperation() {
		super();
	}
	
	private void creaGUI() {
		// Creamos la ventana
		JFrame ventana = new JFrame("Escuchador con clase adaptadora.");
		// Usamos el mtodo de conveniencia setDefaultCloseOperation
		ventana.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		ventana.setSize(400, 400);
		ventana.setVisible(true);		
	}
	
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {			
			@Override
			public void run() {
				new EjemploSetDefaultCloseOperation().creaGUI();
			}
		});
	}
}
