package hilos;

public final class HiloClaseInternaAnonima {
	private HiloClaseInternaAnonima() {
		super();
	}
	
	private void ejecuta() {
		new Thread(new Runnable() {			
			@Override
			public void run() {
				for(int i = 0; i < 10; i++)
					System.out.println("Estamos en: " + i);
			}
		}).start();
	}
	
	public static void main(String[] args) {
		new HiloClaseInternaAnonima().ejecuta();
	}
}
