package productoconsumidor;

public final class PrincipalConLock {
	private PrincipalConLock() {
		super();
	}
	
	public void ejecuta() {
		Contenedor contenedor = new ContenedorConLock();
		Productor productor = new Productor(contenedor, 1000);
		Consumidor consumidor = new Consumidor(contenedor, 1000);
		productor.inicia();
		consumidor.inicia();
	}
	
	public static void main(String[] args) {
		new PrincipalConLock().ejecuta();
	}
}
