package productoconsumidor;

public final class PrincipalSinLock {
	private PrincipalSinLock() {
		super();
	}
	
	private void ejecuta() {
		Contenedor contenedor = new ContenedorSinLock();
		Productor productor = new Productor(contenedor, 1000);
		Consumidor consumidor = new Consumidor(contenedor, 1000);
		productor.inicia();
		consumidor.inicia();
	}

	public static void main(String[] args) {
		new PrincipalSinLock().ejecuta();
	}
}
