package colecciones.figuras;

public class Circulo implements Figura {
	private double radio;
	
	public Circulo() {
		super();
	}
	
	public Circulo(double radio) {
		this.radio = radio;
	}
	
	@Override
	public double getArea() {
		return PI*radio*radio;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Circulo [radio=");
		builder.append(radio);
		builder.append("]");
		builder.append(" Area=");
		builder.append(getArea());
		return builder.toString();
	}
}
