package utilidad;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public final class UtilidadScanner2 {
	private static final String FICHERO = "agenda.txt";
	
	private UtilidadScanner2() {
		super();
	}
	
	private void ejecuta() {
		try {
			Scanner scanner = new Scanner(new File(FICHERO));
			while(scanner.hasNext()) {
				analizaLinea(scanner.nextLine());
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	private void analizaLinea(String linea) {
		Scanner scanner = new Scanner(linea);
		scanner.useDelimiter(": ");
		String persona, nombre, apellidos;
		int telefono;
		persona = scanner.next();
		nombre = scanner.next();
		apellidos = scanner.next();
		telefono = scanner.nextInt();
		System.out.println(nombre + "," + apellidos + "," + telefono);
	}
	
	public static void main(String args[]) {
		new UtilidadScanner2().ejecuta();
	}
}
