package abstractfactory;

public class FabricaComponentesJaponesa implements FabricaComponentes {

	@Override
	public Rueda creaRuedas() {
		return new RuedaLargaDuracion();
	}

	@Override
	public Chasis creaChasis() {
		return new ChasisLigero();
	}

	@Override
	public Motor creaMotor() {
		return new MotorBajoConsumo();
	}

	@Override
	public Extras creaExtras() {
		return new ExtrasDeportivosEstiloJapones();
	}

}
