package abstractfactory;

public class Turismo extends Vehiculo {
	private Chasis chasis;
	private Motor motor;
	
	public Turismo(FabricaComponentes fabricaComponentes) {
		chasis = fabricaComponentes.creaChasis();
		motor = fabricaComponentes.creaMotor();
	}

	@Override
	public void descripcion() {
		System.out.println("--- Descripcin de un TURISMO ---");
		chasis.descripcion();
		motor.descripcion();
		System.out.println("----------------------------------");
	}
}
