package applets.comunicacion;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class ComunicacionApplets extends JApplet {
	private static final long serialVersionUID = 1L;
	private JTextField jtfTuDices;
	private JLabel jlElDice;
	private ComunicacionApplets elOtro = null;
	JPanel contenedor = new JPanel(new BorderLayout());
	
	@Override
	public void init() {
		JPanel miEntrada = new JPanel();
		miEntrada.add(new JLabel("T dices:"));
		jtfTuDices = new JTextField(50);
		miEntrada.add(jtfTuDices);
		JButton jbEnviar = new JButton("Enviar");
		jbEnviar.addActionListener(new Escuchador());
		miEntrada.add(jbEnviar);
		JPanel suEntrada = new JPanel();
		jlElDice = new JLabel("Escuchando....");
		suEntrada.add(jlElDice);
		contenedor.add(suEntrada, BorderLayout.SOUTH);
		contenedor.add(miEntrada, BorderLayout.NORTH);
		setContentPane(contenedor);
	}
	
	public void recibeMensaje(String mensaje) {
		jlElDice.setText("Mensaje: " + mensaje);
		repaint();
	}
	
	private class Escuchador implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
			if(elOtro == null)
				elOtro = (ComunicacionApplets)getAppletContext().getApplet(getParameter("ElOtro"));
			elOtro.recibeMensaje(jtfTuDices.getText());
		}		
	}

}
