package serializacion;

import java.io.Serializable;

public class Persona implements Serializable{
	private static final long serialVersionUID = 7360368493593648647L;
	String nombre;
	String apellidos;
	String telefono;

	Persona() { }

	Persona(String nombre, String apellidos, String telefono) {
		this.nombre = nombre;
		this.apellidos = apellidos;
		this.telefono = telefono;
	}

	String getNombre() {
		return nombre;
	}
	
	String getApellidos() {
		return apellidos;
	}
	
	String getTelefono() {
		return telefono;
	}

	@Override
	public String toString() {
		return "Persona [apellidos=" + apellidos + ", nombre=" + nombre
				+ ", telefono=" + telefono + "]";
	}
}