package sensores;

import java.util.Random;

public class SensorTemperatura extends Sensor<Float> {
	private static final float TEMPERATURA_MAXIMA = 45;
	private Random temperatura = new Random();
	
	public SensorTemperatura() {
		super();
		medida = new Float(TEMPERATURA_MAXIMA*temperatura.nextFloat());
		setDescripcion();
	}
	
	public final void setDescripcion() {
		super.setDescripcion("Dato de temperatura en grados Celsius");
	}
}
