package gui.hipoteca.controlador;

import gui.hipoteca.modelo.Modelo;
import gui.hipoteca.vista.Vista;

public class ControladorImpl implements Controlador {
	private Modelo modelo;
	private Vista vista;
	
	public ControladorImpl() {
		super();
	}
	
	@Override
	public void setModelo(Modelo modelo) {
		this.modelo = modelo;
	}

	@Override
	public void setVista(Vista vista) {
		this.vista = vista;
	}
	
	public void solicitadoCalculo() {
		double cantidad = vista.getCantidad();
		int tiempo = vista.getTiempo();
		double interes = vista.getInteres();
		modelo.setDatos(cantidad, tiempo, interes);
	}
}
