package estructuras;

public class TiendaSinLock implements Tienda {
	private Buffer<Verduras> verduras;
	private Buffer<Carnes> carnes;
	private Buffer<Pescados> pescados;

	public TiendaSinLock() {
		super();
		verduras = new BufferSinLock<Verduras>(10);
		carnes = new BufferSinLock<Carnes>(10);
		pescados = new BufferSinLock<Pescados>(10);
	}

	@Override
	public Verduras compraVerdura(String cliente) throws InterruptedException {
		return verduras.getDato(cliente);
	}
	
	@Override
	public Carnes compraCarne(String cliente) throws InterruptedException {
		return carnes.getDato(cliente);
	}
	
	@Override
	public Pescados compraPescado(String cliente) throws InterruptedException {
		return pescados.getDato(cliente);
	}
	
	@Override
	public void abasteceVerdura(Verduras dato) throws InterruptedException {
		verduras.setDato(dato);
	}
	
	@Override
	public void abasteceCarne(Carnes dato) throws InterruptedException {
		carnes.setDato(dato);
	}
	
	@Override
	public void abastecePescado(Pescados dato) throws InterruptedException {
		pescados.setDato(dato);
	}
//	
//	public void cierraTienda() {
//		verdurasDisponibles.signalAll();
//		pescadosDisponibles.signalAll();
//		carnesDisponibles.signalAll();
//	}
}
