package hilos;

public final class EjemploSleep {
	private EjemploSleep() {
		super();
	}

	private void ejecuta() {
		new Thread(new Runnable() {			
			@Override
			public void run() {
				try {
					for(int i = 0; i < 10; i++) {
						System.out.println("Estamos en: " + i);
						Thread.sleep(1000);
					}
				} catch(InterruptedException e) {
					e.printStackTrace();
				}
			}
		}).start();
	}

	public static void main(String[] args) {
		new EjemploSleep().ejecuta();
	}

}
