package hilos;

public final class HiloClaseInterna {
	private HiloClaseInterna() {
		super();
	}
	
	private class ClaseInterna implements Runnable {
		private ClaseInterna() {
			super();
		}
		
		public void run() {
			for(int i = 0; i < 10; i++)
				System.out.println("Estamos en: " + i);
		}		
	}
	
	private void ejecuta() {
		new Thread(new ClaseInterna()).start();
	}
	
	public static void main(String[] args) {
		new HiloClaseInterna().ejecuta();
	}
}
