package test;

import static org.junit.Assert.assertEquals;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import conversor.ConversorTemperaturas;
import conversor.TemperaturaNoValidaException;

public class TestConversorTemperaturas3 {
	private static ConversorTemperaturas conversor;
	
	@BeforeClass
	public static void creaConversorTemperaturas() {
		conversor = new ConversorTemperaturas();
	}
	
	@AfterClass
	public static void destruyeCnversorTemperarturas() {
		conversor = null;
	}

	@Test
	public void testCelsiusAFharenheit() throws TemperaturaNoValidaException {
		assertEquals(32, conversor.celsiusAFharenheit(0), 0);
	}

	@Test
	public void testCelsiusAReamur() throws TemperaturaNoValidaException {
		assertEquals(0, conversor.celsiusAReamur(0), 0);
	}

	@Test(expected=TemperaturaNoValidaException.class)
	public void testTemperaturaNoValidaFharenheit() throws TemperaturaNoValidaException {
		conversor.celsiusAFharenheit(-400);
	}
}
